Support Request: Install of SiteKiosk 9.5 software on top of 9.8 corrupts the software

Description

Hi Provisio Support,

We have quite a few devices running the SiteKiosk 9.5 software and are working to upgrade them to version 9.8. While upgrading devices, it became apparent that some of our automation was continuing to push version 9.5 to some devices despite being upgraded to 9.8. The automation was halted, but the damage was done. We now have devices that are unreachable via SiteRemote but we are able to use Remote Desktop to log on to the devices.

The issue we're having is that the SiteKiosk software isn't fully installed and yet it's not fully uninstalled. Both 9.5 and 9.8 are corrupted installations after trying to put 9.5 on top of a successful 9.8 install.

I've tried reinstalling, repairing, and uninstalling both the 9.5 and 9.8 msi's but each attempt throws an error stating the software is either already installed or that it can't be uninstalled (because it's not installed).

These machines are effectively bricked while the software is corrupted. Is there anything I can do to repair them? Are there some manual registry or file system tweaks that can be made allowing for a repair or reinstall of the msi's?

Answer: (3)

Re: Install of SiteKiosk 9.5 software on top of 9.8 corrupts the software 7/21/2021 2:56 PM
Hello,

Thank you for your inquiry. Generally, there are no known issues with installing over the previous versions. Before automating the install, did you do a test with the GUI to see what would happen during the install? You can run this command line parameter to do a logged installation:

Sitekiosk9.exe /V"/l*v C:\log.txt"

Generally, you can update SiteKiosk as described in this FAQ:
https://www.provisio.com/en-US/CustomerSupportCenter/ArticleDetails.aspx?ArticleID=24834

If using the MSI instead of the EXE (with programs like SCCM), you need to install the corresponding Microsoft Visual C++ Redistributable (and Microsoft .NET version ) before.

SiteKiosk requires Microsoft .NET and the Microsoft Visual C++ Redistributable to function properly. They are prerequisites and need to be installed before running the SiteKiosk MSI. The required versions depend on the version of SiteKiosk.
Also see: https://www.provisio.com/de/CustomerSupportCenter/ArticleDetails.aspx?ArticleID=16176

Currently SiteKiosk (9.8.5779) requires Microsoft .NET 4.8 and "Microsoft C++ 2012 Redistributable (x86) 11.0.61030".

To exit SiteKiosk in the state you mentioned, further instructions will be sent by email.

Best regards,
Andre.
Re: Install of SiteKiosk 9.5 software on top of 9.8 corrupts the software 7/21/2021 8:42 PM
Thank you very much Andre!

The emailed steps were able to get us access to the normal Windows OS interface where we were then able to reinstall SiteKiosk 9.8 software and get the devices back up and running.

Cheers,
Anthony
Re: Install of SiteKiosk 9.5 software on top of 9.8 corrupts the software 7/21/2021 8:44 PM
You are very welcome! [Case closed.]

Andre.
My Account
Login
Search
Search